VirtualBox

Changeset 9108 in vbox for trunk/src


Ignore:
Timestamp:
May 26, 2008 9:33:25 AM (17 years ago)
Author:
vboxsync
Message:

reverted most parts of r31214 and 31223, postponed to > 1.6.2

Location:
trunk/src/VBox
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Additions/linux/installer/vboxadd-timesync.sh

    r9104 r9108  
    3333PATH=$PATH:/bin:/sbin:/usr/sbin
    3434
    35 [ -f /lib/lsb/init-functions ] || NOLSB=yes
    36 
     35system=unknown
    3736if [ -f /etc/redhat-release ]; then
    3837    system=redhat
     38    PIDFILE="/var/lock/subsys/vboxadd-timesync"
    3939elif [ -f /etc/SuSE-release ]; then
    4040    system=suse
     41    PIDFILE="/var/lock/subsys/vboxadd-timesync"
    4142elif [ -f /etc/debian_version ]; then
    4243    system=debian
     44    PIDFILE="/var/run/vboxadd-timesync"
    4345elif [ -f /etc/gentoo-release ]; then
    4446    system=gentoo
    45 fi
    46 
    47 if [ -z "$NOLSB" ]; then
    48     . /lib/lsb/init-functions
    49     fail_msg() {
    50         echo ""
    51         log_failure_msg "$1"
    52     }
    53     succ_msg() {
    54         log_end_msg 0
    55     }
    56     begin_msg() {
    57         log_daemon_msg "$@"
    58     }
     47    PIDFILE="/var/run/vboxadd-timesync"
    5948else
    60     if [ "$system" = "redhat" ]; then
    61         . /etc/init.d/functions
    62         fail_msg() {
    63             echo -n " "
    64             echo_failure
    65             echo
    66             echo "  ($1)"
    67         }
    68         succ_msg() {
    69             echo -n " "
    70             echo_success
    71             echo
    72         }
    73     elif [ "$system" = "suse" ]; then
    74         . /etc/rc.status
    75         fail_msg() {
    76             rc_failed 1
    77             rc_status -v
    78             echo "  ($1)"
    79         }
    80         succ_msg() {
    81             rc_reset
    82             rc_status -v
    83         }
    84     elif [ "$system" = "gentoo" ]; then
    85         . /sbin/functions.sh
    86         fail_msg() {
    87             eerror "$1"
    88         }
    89         succ_msg() {
    90             eend "$?"
    91         }
    92         begin_msg() {
    93             ebegin "$1"
    94         }
    95         if [ "`which $0`" = "/sbin/rc" ]; then
    96             shift
    97         fi
    98     else
    99         fail_msg() {
    100             echo " ...failed!"
    101             echo "  ($1)"
    102         }
    103         succ_msg() {
    104             echo " ...done."
    105         }
    106     fi
    107     if [ "$system" != "gentoo" ]; then
    108         begin_msg() {
    109             [ -z "${1:-}" ] && return 1
    110             if [ -z "${2:-}" ]; then
    111                 echo -n "$1"
    112             else
    113                 echo -n "$1: $2"
    114             fi
    115         }
     49    system=other
     50    if [ -d /var/run -a -w /var/run ]; then
     51        PIDFILE="/var/run/vboxadd-timesync"
    11652    fi
    11753fi
    11854
    11955if [ "$system" = "redhat" ]; then
    120     PIDFILE="/var/lock/subsys/vboxadd-timesync"
    121 elif [ "$system" = "suse" ]; then
    122     PIDFILE="/var/lock/subsys/vboxadd-timesync"
     56    . /etc/init.d/functions
     57    fail_msg() {
     58        echo_failure
     59        echo
     60    }
     61
     62    succ_msg() {
     63        echo_success
     64        echo
     65    }
     66fi
     67
     68if [ "$system" = "suse" ]; then
     69    . /etc/rc.status
    12370    daemon() {
    12471        startproc ${1+"$@"}
    12572    }
    126 elif [ "$system" = "debian" ]; then
    127     PIDFILE="/var/run/vboxadd-timesync"
     73
     74    fail_msg() {
     75        rc_failed 1
     76        rc_status -v
     77    }
     78
     79    succ_msg() {
     80        rc_reset
     81        rc_status -v
     82    }
     83fi
     84
     85if [ "$system" = "debian" ]; then
    12886    daemon() {
    12987        start-stop-daemon --start --exec $1 -- $2
    13088    }
     89
    13190    killproc() {
    13291        start-stop-daemon --stop --exec $@
    13392    }
    134 elif [ "$system" = "gentoo" ]; then
    135     PIDFILE="/var/run/vboxadd-timesync"
     93
     94    fail_msg() {
     95        echo " ...fail!"
     96    }
     97
     98    succ_msg() {
     99        echo " ...done."
     100    }
     101fi
     102
     103if [ "$system" = "gentoo" ]; then
     104    . /sbin/functions.sh
    136105    daemon() {
    137106        start-stop-daemon --start --exec $1 -- $2
    138107    }
     108
    139109    killproc() {
    140110        start-stop-daemon --stop --exec $@
    141111    }
    142 else
    143     if [ -d /var/run -a -w /var/run ]; then
    144         PIDFILE="/var/run/vboxadd-timesync"
    145     fi
     112
     113    fail_msg() {
     114        echo " ...fail!"
     115    }
     116
     117    succ_msg() {
     118        echo " ...done."
     119    }
     120
     121    if [ "`which $0`" = "/sbin/rc" ]; then
     122        shift
     123    fi
     124fi
     125
     126if [ "$system" = "other" ]; then
     127    fail_msg() {
     128        echo " ...fail!"
     129    }
     130
     131    succ_msg() {
     132        echo " ...done."
     133    }
     134
     135    begin() {
     136        echo -n "$1"
     137    }
    146138fi
    147139
     
    159151start() {
    160152    if ! test -f $PIDFILE; then
    161         begin_msg "Starting VirtualBox host to guest time synchronisation";
     153        echo -n "Starting VirtualBox host to guest time synchronisation ";
    162154        vboxaddrunning || {
    163             failure "VirtualBox Additions module not loaded!"
     155            echo "VirtualBox Additions module not loaded!"
     156            exit 1
    164157        }
    165158        daemon $binary --daemonize
     
    173166stop() {
    174167    if test -f $PIDFILE; then
    175         begin_msg "Stopping VirtualBox host to guest time synchronisation";
     168        echo -n "Stopping VirtualBox host to guest time synchronisation ";
    176169        vboxaddrunning || {
    177             failure "VirtualBox Additions module not loaded!"
     170            echo "VirtualBox Additions module not loaded!"
     171            exit 1
    178172        }
    179173        killproc $binary
  • trunk/src/VBox/Additions/linux/installer/vboxadd.sh

    r9104 r9108  
    3333PATH=$PATH:/bin:/sbin:/usr/sbin
    3434
    35 [ -f /lib/lsb/init-functions ] || NOLSB=yes
    36 
    37 if [ -n "$NOLSB" ]; then
    38     if [ -f /etc/redhat-release ]; then
    39         system=redhat
    40     elif [ -f /etc/SuSE-release ]; then
    41         system=suse
    42     elif [ -f /etc/gentoo-release ]; then
    43         system=gentoo
    44     fi
    45 fi
    46 
    47 if [ -z "$NOLSB" ]; then
    48     . /lib/lsb/init-functions
    49     fail_msg() {
    50         echo ""
    51         log_failure_msg "$1"
    52     }
    53     succ_msg() {
    54         log_end_msg 0
    55     }
    56     begin_msg() {
    57         log_daemon_msg "$@"
    58     }
     35if [ -f /etc/redhat-release ]; then
     36    system=redhat
     37elif [ -f /etc/SuSE-release ]; then
     38    system=suse
     39elif [ -f /etc/gentoo-release ]; then
     40    system=gentoo
    5941else
    60     if [ "$system" = "redhat" ]; then
    61         . /etc/init.d/functions
    62         fail_msg() {
    63             echo -n " "
    64             echo_failure
    65             echo
    66             echo "  ($1)"
    67         }
    68         succ_msg() {
    69             echo -n " "
    70             echo_success
    71             echo
    72         }
    73     elif [ "$system" = "suse" ]; then
    74         . /etc/rc.status
    75         fail_msg() {
    76             rc_failed 1
    77             rc_status -v
    78             echo "  ($1)"
    79         }
    80         succ_msg() {
    81             rc_reset
    82             rc_status -v
    83         }
    84     elif [ "$system" = "gentoo" ]; then
    85         . /sbin/functions.sh
    86         fail_msg() {
    87             eerror "$1"
    88         }
    89         succ_msg() {
    90             eend "$?"
    91         }
    92         begin_msg() {
    93             ebegin "$1"
    94         }
    95         if [ "`which $0`" = "/sbin/rc" ]; then
    96             shift
    97         fi
    98     else
    99         fail_msg() {
    100             echo " ...failed!"
    101             echo "  ($1)"
    102         }
    103         succ_msg() {
    104             echo " ...done."
    105         }
    106     fi
    107     if [ "$system" != "gentoo" ]; then
    108         begin_msg() {
    109             [ -z "${1:-}" ] && return 1
    110             if [ -z "${2:-}" ]; then
    111                 echo -n "$1"
    112             else
    113                 echo -n "$1: $2"
    114             fi
    115         }
    116     fi
     42    system=other
     43fi
     44
     45if [ "$system" = "redhat" ]; then
     46    . /etc/init.d/functions
     47    fail_msg() {
     48        echo_failure
     49        echo
     50    }
     51
     52    succ_msg() {
     53        echo_success
     54        echo
     55    }
     56
     57    begin() {
     58        echo -n "$1"
     59    }
     60fi
     61
     62if [ "$system" = "suse" ]; then
     63    . /etc/rc.status
     64    fail_msg() {
     65        rc_failed 1
     66        rc_status -v
     67    }
     68
     69    succ_msg() {
     70        rc_reset
     71        rc_status -v
     72    }
     73
     74    begin() {
     75        echo -n "$1"
     76    }
     77fi
     78
     79if [ "$system" = "gentoo" ]; then
     80    . /sbin/functions.sh
     81    fail_msg() {
     82        eend 1
     83    }
     84
     85    succ_msg() {
     86        eend $?
     87    }
     88
     89    begin() {
     90        ebegin $1
     91    }
     92
     93    if [ "`which $0`" = "/sbin/rc" ]; then
     94        shift
     95    fi
     96fi
     97
     98if [ "$system" = "other" ]; then
     99    fail_msg() {
     100        echo " ...fail!"
     101    }
     102
     103    succ_msg() {
     104        echo " ...done."
     105    }
     106
     107    begin() {
     108        echo -n $1
     109    }
    117110fi
    118111
     
    124117group=1
    125118
    126 failure()
    127 {
    128     fail_msg "$1"
     119fail() {
     120    if [ "$system" = "gentoo" ]; then
     121        eerror $1
     122        exit 1
     123    fi
     124    fail_msg
     125    echo "($1)"
    129126    exit 1
    130127}
     
    135132
    136133start() {
    137     begin_msg "Starting VirtualBox Additions";
     134    begin "Starting VirtualBox Additions ";
    138135    running || {
    139136        rm -f $dev || {
    140             failure "Cannot remove $dev"
     137            fail "Cannot remove $dev"
    141138        }
    142139
    143140        modprobe $modname >/dev/null 2>&1 || {
    144             failure "modprobe $modname failed"
     141            fail "modprobe $modname failed"
    145142        }
    146143
     
    159156        test -z "$maj" && {
    160157            rmmod $modname 2>/dev/null
    161             failure "Cannot locate the VirtualBox device"
    162         }
    163 
    164         mknod -m 0664 $dev c $maj $min 2>/dev/null || {
     158            fail "Cannot locate the VirtualBox device"
     159        }
     160
     161        mknod -m 0664 $dev c $maj $min || {
    165162            rmmod $modname 2>/dev/null
    166             failure "Cannot create device $dev with major $maj and minor $min"
     163            fail "Cannot create device $dev with major $maj and minor $min"
    167164        }
    168165    fi
     
    170167    chown $owner:$group $dev 2>/dev/null || {
    171168        rmmod $modname 2>/dev/null
    172         failure "Cannot change owner $owner:$group for device $dev"
     169        fail "Cannot change owner $owner:$group for device $dev"
    173170    }
    174171
     
    178175
    179176stop() {
    180     begin_msg "Stopping VirtualBox Additions";
     177    begin "Stopping VirtualBox Additions ";
    181178    if running; then
    182         rmmod $modname 2>/dev/null || failure "Cannot unload module $modname"
    183         rm -f $dev || failure "Cannot unlink $dev"
     179        rmmod $modname 2>/dev/null || fail "Cannot unload module $modname"
     180        rm -f $dev || fail "Cannot unlink $dev"
    184181    fi
    185182    succ_msg
  • trunk/src/VBox/Additions/linux/installer/vboxvfs.sh

    r9104 r9108  
    3333PATH=$PATH:/bin:/sbin:/usr/sbin
    3434
    35 [ -f /lib/lsb/init-functions ] || NOLSB=yes
     35if [ -f /etc/redhat-release ]; then
     36    system=redhat
     37elif [ -f /etc/SuSE-release ]; then
     38    system=suse
     39elif [ -f /etc/gentoo-release ]; then
     40    system=gentoo
     41else
     42    system=other
     43fi
    3644
    37 if [ -n "$NOLSB" ]; then
    38     if [ -f /etc/redhat-release ]; then
    39         system=redhat
    40     elif [ -f /etc/SuSE-release ]; then
    41         system=suse
    42     elif [ -f /etc/gentoo-release ]; then
    43         system=gentoo
     45if [ "$system" = "redhat" ]; then
     46    . /etc/init.d/functions
     47    fail_msg() {
     48        echo_failure
     49        echo
     50    }
     51
     52    succ_msg() {
     53        echo_success
     54        echo
     55    }
     56
     57    begin() {
     58        echo -n "$1"
     59    }
     60fi
     61
     62if [ "$system" = "suse" ]; then
     63    . /etc/rc.status
     64    fail_msg() {
     65        rc_failed 1
     66        rc_status -v
     67    }
     68
     69    succ_msg() {
     70        rc_reset
     71        rc_status -v
     72    }
     73
     74    begin() {
     75        echo -n "$1"
     76    }
     77fi
     78
     79if [ "$system" = "gentoo" ]; then
     80    . /sbin/functions.sh
     81    fail_msg() {
     82        eend 1
     83    }
     84
     85    succ_msg() {
     86        eend $?
     87    }
     88
     89    begin() {
     90        ebegin $1
     91    }
     92
     93    if [ "`which $0`" = "/sbin/rc" ]; then
     94        shift
    4495    fi
    4596fi
    4697
    47 if [ -z "$NOLSB" ]; then
    48     . /lib/lsb/init-functions
     98if [ "$system" = "other" ]; then
    4999    fail_msg() {
    50         echo ""
    51         log_failure_msg "$1"
     100        echo " ...fail!"
    52101    }
     102
    53103    succ_msg() {
    54         log_end_msg 0
     104        echo " ...done."
    55105    }
    56     begin_msg() {
    57         log_daemon_msg "$@"
     106
     107    begin() {
     108        echo -n $1
    58109    }
    59 else
    60     if [ "$system" = "redhat" ]; then
    61         . /etc/init.d/functions
    62         fail_msg() {
    63             echo -n " "
    64             echo_failure
    65             echo
    66             echo "  ($1)"
    67         }
    68         succ_msg() {
    69             echo -n " "
    70             echo_success
    71             echo
    72         }
    73     elif [ "$system" = "suse" ]; then
    74         . /etc/rc.status
    75         fail_msg() {
    76             rc_failed 1
    77             rc_status -v
    78             echo "  ($1)"
    79         }
    80         succ_msg() {
    81             rc_reset
    82             rc_status -v
    83         }
    84     elif [ "$system" = "gentoo" ]; then
    85         . /sbin/functions.sh
    86         fail_msg() {
    87             eerror "$1"
    88         }
    89         succ_msg() {
    90             eend "$?"
    91         }
    92         begin_msg() {
    93             ebegin "$1"
    94         }
    95         if [ "`which $0`" = "/sbin/rc" ]; then
    96             shift
    97         fi
    98     else
    99         fail_msg() {
    100             echo " ...failed!"
    101             echo "  ($1)"
    102         }
    103         succ_msg() {
    104             echo " ...done."
    105         }
    106     fi
    107     if [ "$system" != "gentoo" ]; then
    108         begin_msg() {
    109             [ -z "${1:-}" ] && return 1
    110             if [ -z "${2:-}" ]; then
    111                 echo -n "$1"
    112             else
    113                 echo -n "$1: $2"
    114             fi
    115         }
    116     fi
    117110fi
    118111
     
    121114module="$kdir/$modname"
    122115
    123 failure()
    124 {
    125     fail_msg "$1"
     116fail() {
     117    if [ "$system" = "gentoo" ]; then
     118        eerror $1
     119        exit 1
     120    fi
     121    fail_msg
     122    echo "($1)"
    126123    exit 1
    127124}
    128125
    129126running() {
    130     lsmod | grep -q $modname[^_-]
     127    lsmod | grep -q "$modname[^_-]"
    131128}
    132129
    133130start() {
    134     begin_msg "Starting VirtualBox Additions shared folder support";
     131    begin "Starting VirtualBox Additions shared folder support ";
    135132    running || {
    136133        modprobe $modname > /dev/null 2>&1 || {
    137134            if dmesg | grep "vboxConnect failed" > /dev/null 2>&1; then
    138                 fail_msg "modprobe $modname failed"
     135                fail_msg
    139136                echo "You may be trying to run Guest Additions from binary release of VirtualBox"
    140137                echo "in the Open Source Edition."
    141138                exit 1
    142139            fi
    143             failure "modprobe $modname failed"
     140            fail "modprobe $modname failed"
    144141        }
    145142    }
    146     # Mount all vboxsf filesystems from /etc/fstab
    147     mount -a -t vboxsf
    148143    succ_msg
    149144    return 0
     
    151146
    152147stop() {
    153     begin_msg "Stopping VirtualBox Additions shared folder support";
    154     # At first, unmount all vboxsf filesystems
    155     if umount -a -t vboxsf 2>/dev/null; then
    156         if running; then
    157             rmmod $modname 2>/dev/null || failure "Cannot unload module $modname"
    158         fi
    159         succ_msg
    160     else
    161         failure "Cannot unmount vboxvsf filesystems"
     148    begin "Stopping VirtualBox Additions shared folder support ";
     149    if running; then
     150        rmmod $modname 2>/dev/null || fail "Cannot unload module $modname"
    162151    fi
     152    succ_msg
    163153    return 0
    164154}
  • trunk/src/VBox/Installer/linux/vboxdrv.sh.in

    r9096 r9108  
    6464    }
    6565    succ_msg() {
    66         log_end_msg 0
     66        log_success_msg " done."
    6767    }
    6868    begin_msg() {
  • trunk/src/VBox/Installer/linux/vboxnet.sh.in

    r9096 r9108  
    5454    }
    5555    succ_msg() {
    56         log_end_msg 0
     56        log_success_msg " done."
    5757    }
    5858    begin_msg() {
     
    6363        . /etc/init.d/functions
    6464        fail_msg() {
    65             echo -n " "
    6665            echo_failure
    6766            echo
     
    6968        }
    7069        succ_msg() {
    71             echo -n " "
    7270            echo_success
    7371            echo
Note: See TracChangeset for help on using the changeset viewer.

© 2024 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette